File Explorer (node)
28 Endpunkte. Basis-URL: https://xapi.ambertech.cloud/api/v1
GET /file-explorer/files/{id}/download#
GET/file-explorer/files/{id}/downloadToken Parameter
| Name | Ort | Typ | Beschreibung |
|---|
idPflicht | Pfad | string | – |
Antworten
curl -X GET "https://xapi.ambertech.cloud/api/v1/file-explorer/files/{id}/download" \
-H "Authorization: Bearer $XISUITE_TOKEN"
GET /file-explorer/files/{id}/preview-url#
GET/file-explorer/files/{id}/preview-urlToken Parameter
| Name | Ort | Typ | Beschreibung |
|---|
idPflicht | Pfad | string | – |
Antworten
curl -X GET "https://xapi.ambertech.cloud/api/v1/file-explorer/files/{id}/preview-url" \
-H "Authorization: Bearer $XISUITE_TOKEN"
Confirm a direct-to-storage upload#
POST/file-explorer/files/{id}/upload-completeToken Parameter
| Name | Ort | Typ | Beschreibung |
|---|
idPflicht | Pfad | string | – |
Request-Bodyapplication/jsonCompleteUploadDto
| Name | Typ | Beschreibung |
|---|
version_idPflicht | string | Version ID returned by upload-init |
Antworten
- 201Version activated
- 400No uploaded file found for this upload
- 413Storage quota exceeded
curl -X POST "https://xapi.ambertech.cloud/api/v1/file-explorer/files/{id}/upload-complete" \
-H "Authorization: Bearer $XISUITE_TOKEN" \
-H "Content-Type: application/json" \
-d '{"version_id":"…"}'
GET /file-explorer/files/{id}/versions#
GET/file-explorer/files/{id}/versionsToken Parameter
| Name | Ort | Typ | Beschreibung |
|---|
idPflicht | Pfad | string | – |
Antworten
curl -X GET "https://xapi.ambertech.cloud/api/v1/file-explorer/files/{id}/versions" \
-H "Authorization: Bearer $XISUITE_TOKEN"
POST /file-explorer/files/{id}/versions#
POST/file-explorer/files/{id}/versionsToken Parameter
| Name | Ort | Typ | Beschreibung |
|---|
idPflicht | Pfad | string | – |
commentPflicht | Query | string | – |
Antworten
curl -X POST "https://xapi.ambertech.cloud/api/v1/file-explorer/files/{id}/versions" \
-H "Authorization: Bearer $XISUITE_TOKEN"
POST /file-explorer/files/{id}/versions/{versionId}/restore#
POST/file-explorer/files/{id}/versions/{versionId}/restoreToken Parameter
| Name | Ort | Typ | Beschreibung |
|---|
idPflicht | Pfad | string | – |
versionIdPflicht | Pfad | string | – |
Antworten
curl -X POST "https://xapi.ambertech.cloud/api/v1/file-explorer/files/{id}/versions/{versionId}/restore" \
-H "Authorization: Bearer $XISUITE_TOKEN"
Start a direct-to-storage version upload#
POST/file-explorer/files/{id}/versions/upload-initToken Parameter
| Name | Ort | Typ | Beschreibung |
|---|
idPflicht | Pfad | string | – |
Request-Bodyapplication/jsonInitVersionUploadDto
| Name | Typ | Beschreibung |
|---|
sizePflicht | number | Declared size in bytes; verified on completion |
name | string | File name, used only for the storage key |
mime_type | string | MIME type reported by the client |
comment | string | Version comment |
Antworten
- 201Signed upload URL issued
- 413Storage quota exceeded
curl -X POST "https://xapi.ambertech.cloud/api/v1/file-explorer/files/{id}/versions/upload-init" \
-H "Authorization: Bearer $XISUITE_TOKEN" \
-H "Content-Type: application/json" \
-d '{"size":0}'
GET /file-explorer/nodes/{id}#
GET/file-explorer/nodes/{id}Token Parameter
| Name | Ort | Typ | Beschreibung |
|---|
idPflicht | Pfad | string | – |
Antworten
curl -X GET "https://xapi.ambertech.cloud/api/v1/file-explorer/nodes/{id}" \
-H "Authorization: Bearer $XISUITE_TOKEN"
PATCH /file-explorer/nodes/{id}#
PATCH/file-explorer/nodes/{id}Token Parameter
| Name | Ort | Typ | Beschreibung |
|---|
idPflicht | Pfad | string | – |
Request-Bodyapplication/jsonUpdateNodeDto
| Name | Typ | Beschreibung |
|---|
name | string | – |
description | string | – |
Antworten
curl -X PATCH "https://xapi.ambertech.cloud/api/v1/file-explorer/nodes/{id}" \
-H "Authorization: Bearer $XISUITE_TOKEN" \
-H "Content-Type: application/json" \
-d '{"name":"…","description":"…"}'
DELETE /file-explorer/nodes/{id}#
DELETE/file-explorer/nodes/{id}Token Parameter
| Name | Ort | Typ | Beschreibung |
|---|
idPflicht | Pfad | string | – |
Antworten
curl -X DELETE "https://xapi.ambertech.cloud/api/v1/file-explorer/nodes/{id}" \
-H "Authorization: Bearer $XISUITE_TOKEN"
GET /file-explorer/nodes/{id}/children#
GET/file-explorer/nodes/{id}/childrenToken Parameter
| Name | Ort | Typ | Beschreibung |
|---|
idPflicht | Pfad | string | – |
view | Query | string | Werte: allstarredrecentshared-with-meshared-from-metrash |
space_id | Query | string | – |
parent_id | Query | string | Parent folder ID. Omit for root. |
folder_id | Query | string | Folder ID whose ENTIRE SUBTREE (any depth) is listed. Distinct from parent_id, which is direct children only. |
label_ids | Query | string[] | Label IDs (repeat the param or pass one comma-separated value). Matches nodes carrying ANY of them. |
type | Query | string | Werte: filefolder |
search | Query | string | – |
starred | Query | boolean | Return only starred nodes for current user |
Antworten
curl -X GET "https://xapi.ambertech.cloud/api/v1/file-explorer/nodes/{id}/children" \
-H "Authorization: Bearer $XISUITE_TOKEN"
POST /file-explorer/nodes/{id}/copy#
POST/file-explorer/nodes/{id}/copyToken Parameter
| Name | Ort | Typ | Beschreibung |
|---|
idPflicht | Pfad | string | – |
Request-Bodyapplication/jsonCopyNodeDto
| Name | Typ | Beschreibung |
|---|
target_parent_idPflicht | string | Destination folder ID. Null for root. |
space_idPflicht | string | – |
Antworten
curl -X POST "https://xapi.ambertech.cloud/api/v1/file-explorer/nodes/{id}/copy" \
-H "Authorization: Bearer $XISUITE_TOKEN" \
-H "Content-Type: application/json" \
-d '{"target_parent_id":"…","space_id":"…"}'
POST /file-explorer/nodes/{id}/labels#
POST/file-explorer/nodes/{id}/labelsToken Parameter
| Name | Ort | Typ | Beschreibung |
|---|
idPflicht | Pfad | string | – |
Antworten
curl -X POST "https://xapi.ambertech.cloud/api/v1/file-explorer/nodes/{id}/labels" \
-H "Authorization: Bearer $XISUITE_TOKEN"
DELETE /file-explorer/nodes/{id}/labels/{labelId}#
DELETE/file-explorer/nodes/{id}/labels/{labelId}Token Parameter
| Name | Ort | Typ | Beschreibung |
|---|
idPflicht | Pfad | string | – |
labelIdPflicht | Pfad | string | – |
Antworten
curl -X DELETE "https://xapi.ambertech.cloud/api/v1/file-explorer/nodes/{id}/labels/{labelId}" \
-H "Authorization: Bearer $XISUITE_TOKEN"
POST /file-explorer/nodes/{id}/move#
POST/file-explorer/nodes/{id}/moveToken Parameter
| Name | Ort | Typ | Beschreibung |
|---|
idPflicht | Pfad | string | – |
Request-Bodyapplication/jsonMoveNodeDto
| Name | Typ | Beschreibung |
|---|
target_parent_idPflicht | string | Destination folder ID. Null for root. |
space_idPflicht | string | – |
Antworten
curl -X POST "https://xapi.ambertech.cloud/api/v1/file-explorer/nodes/{id}/move" \
-H "Authorization: Bearer $XISUITE_TOKEN" \
-H "Content-Type: application/json" \
-d '{"target_parent_id":"…","space_id":"…"}'
DELETE /file-explorer/nodes/{id}/permanent#
DELETE/file-explorer/nodes/{id}/permanentToken Parameter
| Name | Ort | Typ | Beschreibung |
|---|
idPflicht | Pfad | string | – |
Antworten
curl -X DELETE "https://xapi.ambertech.cloud/api/v1/file-explorer/nodes/{id}/permanent" \
-H "Authorization: Bearer $XISUITE_TOKEN"
GET /file-explorer/nodes/{id}/reminders#
GET/file-explorer/nodes/{id}/remindersToken Parameter
| Name | Ort | Typ | Beschreibung |
|---|
idPflicht | Pfad | string | – |
Antworten
curl -X GET "https://xapi.ambertech.cloud/api/v1/file-explorer/nodes/{id}/reminders" \
-H "Authorization: Bearer $XISUITE_TOKEN"
POST /file-explorer/nodes/{id}/reminders#
POST/file-explorer/nodes/{id}/remindersToken Parameter
| Name | Ort | Typ | Beschreibung |
|---|
idPflicht | Pfad | string | – |
Request-Bodyapplication/jsonCreateReminderDto
| Name | Typ | Beschreibung |
|---|
remind_atPflicht | string | When to send the reminder (ISO 8601, must be in the future) |
message | string | – |
reminder_type | string | Werte: emailin_appboth Standard: "in_app" |
Antworten
curl -X POST "https://xapi.ambertech.cloud/api/v1/file-explorer/nodes/{id}/reminders" \
-H "Authorization: Bearer $XISUITE_TOKEN" \
-H "Content-Type: application/json" \
-d '{"remind_at":"…"}'
POST /file-explorer/nodes/{id}/restore#
POST/file-explorer/nodes/{id}/restoreToken Parameter
| Name | Ort | Typ | Beschreibung |
|---|
idPflicht | Pfad | string | – |
Antworten
curl -X POST "https://xapi.ambertech.cloud/api/v1/file-explorer/nodes/{id}/restore" \
-H "Authorization: Bearer $XISUITE_TOKEN"
GET /file-explorer/nodes/{id}/shares#
GET/file-explorer/nodes/{id}/sharesToken Parameter
| Name | Ort | Typ | Beschreibung |
|---|
idPflicht | Pfad | string | – |
Antworten
curl -X GET "https://xapi.ambertech.cloud/api/v1/file-explorer/nodes/{id}/shares" \
-H "Authorization: Bearer $XISUITE_TOKEN"
POST /file-explorer/nodes/{id}/shares#
POST/file-explorer/nodes/{id}/sharesToken Parameter
| Name | Ort | Typ | Beschreibung |
|---|
idPflicht | Pfad | string | – |
Request-Bodyapplication/jsonCreateShareDto
| Name | Typ | Beschreibung |
|---|
share_typePflicht | string | Werte: linkuser |
shared_with_id | string | Target user ID. Required when share_type=user. |
can_view | boolean | Standard: true |
can_create | boolean | Standard: false |
can_delete | boolean | Standard: false |
password | string | Password to protect the link share (plaintext, will be hashed) |
expires_at | string | Share expiry date (ISO 8601) |
Antworten
curl -X POST "https://xapi.ambertech.cloud/api/v1/file-explorer/nodes/{id}/shares" \
-H "Authorization: Bearer $XISUITE_TOKEN" \
-H "Content-Type: application/json" \
-d '{"share_type":"link"}'
POST /file-explorer/nodes/{id}/star#
POST/file-explorer/nodes/{id}/starToken Parameter
| Name | Ort | Typ | Beschreibung |
|---|
idPflicht | Pfad | string | – |
Antworten
curl -X POST "https://xapi.ambertech.cloud/api/v1/file-explorer/nodes/{id}/star" \
-H "Authorization: Bearer $XISUITE_TOKEN"
DELETE /file-explorer/nodes/{id}/star#
DELETE/file-explorer/nodes/{id}/starToken Parameter
| Name | Ort | Typ | Beschreibung |
|---|
idPflicht | Pfad | string | – |
Antworten
curl -X DELETE "https://xapi.ambertech.cloud/api/v1/file-explorer/nodes/{id}/star" \
-H "Authorization: Bearer $XISUITE_TOKEN"
DELETE /file-explorer/reminders/{id}#
DELETE/file-explorer/reminders/{id}Token Parameter
| Name | Ort | Typ | Beschreibung |
|---|
idPflicht | Pfad | string | – |
Antworten
curl -X DELETE "https://xapi.ambertech.cloud/api/v1/file-explorer/reminders/{id}" \
-H "Authorization: Bearer $XISUITE_TOKEN"
GET /file-explorer/shared-from-me#
GET/file-explorer/shared-from-meToken Parameter
| Name | Ort | Typ | Beschreibung |
|---|
spaceIdPflicht | Query | string | – |
Antworten
curl -X GET "https://xapi.ambertech.cloud/api/v1/file-explorer/shared-from-me" \
-H "Authorization: Bearer $XISUITE_TOKEN"
GET /file-explorer/shared-with-me#
GET/file-explorer/shared-with-meToken Parameter
| Name | Ort | Typ | Beschreibung |
|---|
spaceIdPflicht | Query | string | – |
Antworten
curl -X GET "https://xapi.ambertech.cloud/api/v1/file-explorer/shared-with-me" \
-H "Authorization: Bearer $XISUITE_TOKEN"
PATCH /file-explorer/shares/{id}#
PATCH/file-explorer/shares/{id}Token Parameter
| Name | Ort | Typ | Beschreibung |
|---|
idPflicht | Pfad | string | – |
Request-Bodyapplication/jsonUpdateShareDto
| Name | Typ | Beschreibung |
|---|
can_view | boolean | – |
can_create | boolean | – |
can_delete | boolean | – |
password | object | New password. Pass null to remove the existing password. |
expires_at | object | Expiry date (ISO 8601). Pass null to remove the expiry. |
is_active | boolean | – |
Antworten
curl -X PATCH "https://xapi.ambertech.cloud/api/v1/file-explorer/shares/{id}" \
-H "Authorization: Bearer $XISUITE_TOKEN" \
-H "Content-Type: application/json" \
-d '{"can_view":true,"can_create":true,"can_delete":true}'
DELETE /file-explorer/shares/{id}#
DELETE/file-explorer/shares/{id}Token Parameter
| Name | Ort | Typ | Beschreibung |
|---|
idPflicht | Pfad | string | – |
Antworten
curl -X DELETE "https://xapi.ambertech.cloud/api/v1/file-explorer/shares/{id}" \
-H "Authorization: Bearer $XISUITE_TOKEN"